[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.SetBounds

Sets the bounds (top. left, height, width) of the control.

## Declaration

Source position: controls.pp line 1282

`public procedure TControl.SetBounds(`
`aLeft: Integer;`
`aTop: Integer;`
`aWidth: Integer;`
`aHeight: Integer`
`); virtual;`

## Arguments

`aLeft` |  | The X co-ordinate of the top left pixel of the control
`aTop` |  | The Y co-ordinate of the top left pixel of the control
`aWidth` |  | The width of the control
`aHeight` |  | The height of the control

## Description

[What's the difference between BoundsRect and ClientRect?] Does nothing but call ChangeBounds.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.